> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wipe Full History of Test Cases

> ### Description
Delete a specified test case and remove all its history from past dataset versions too.



## OpenAPI

````yaml /openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history:
    delete:
      tags:
        - Evaluation Datasets
      summary: Wipe Full History of Test Cases
      description: >-
        ### Description

        Delete a specified test case and remove all its history from past
        dataset versions too.
      operationId: >-
        DELETE-V4-/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history
      parameters:
        - name: evaluation_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Dataset Id
        - name: test_case_id
          in: path
          required: true
          schema:
            type: string
            title: Test Case Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteResponse:
      properties:
        success:
          type: boolean
          title: Success
        count:
          type: integer
          title: Count
      type: object
      required:
        - success
        - count
      title: DeleteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````